Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_ATM_Stream Class Reference

Defines the member functions for ACE_ATM_Stream abstraction. More...

`#include <ATM_Stream.h>`

Collaboration diagram for ACE_ATM_Stream:

[legend]
List of all members.

## Public Types
typedef ACE_ATM_Addr | PEER_ADDR
## Public Methods
| ACE_ATM_Stream (void)
| Default constructor.
int | open (ACE_ATM_Params params=ACE_ATM_Params())
| open the stream.
int | close (void)
| Close down and release resources.
ACE_HANDLE | get_handle (void) const
| Get the underlying handle.
ATM_Stream & | get_stream (void)
| Get the underlying stream.
char * | get_peer_name (void) const
| Get the name of the connected host.
int | get_vpi_vci (ACE_UINT16 &vpi, ACE_UINT16 &vci) const
| Get the VPI and VCI of the stream.
ssize_t | recv (void *buf, size_t n, int *flags=0) const
| Recv an n byte buffer from the connected transport mechanism.
ssize_t | send_n (const void *buf, size_t n, int flags) const
| Send exactly n bytes to the connected transport mechanism.
void | dump (void) const
| Dump the state of an object.
## Public Attributes
| ACE_ALLOC_HOOK_DECLARE
| Declare the dynamic allocation hooks.
## Private Attributes
ATM_Stream | stream_
| Typedef'd to the appropriate stream mechanism above.

## Detailed Description

Defines the member functions for ACE_ATM_Stream abstraction.

## Member Typedef Documentation

typedef ACE_ATM_Addr ACE_ATM_Stream::PEER_ADDR

## Constructor & Destructor Documentation

ACE_INLINE ACE_ATM_Stream::ACE_ATM_Stream | ( | void |  | ) |

| Default constructor.

## Member Function Documentation

ACE_INLINE int ACE_ATM_Stream::close | ( | void |  | ) |

| Close down and release resources.

ACE_INLINE void ACE_ATM_Stream::dump | ( | void |  | ) | const

| Dump the state of an object.

ACE_HANDLE ACE_ATM_Stream::get_handle | ( | void |  | ) | const

| Get the underlying handle.

char * ACE_ATM_Stream::get_peer_name | ( | void |  | ) | const

| Get the name of the connected host.

ACE_INLINE ATM_Stream & ACE_ATM_Stream::get_stream | ( | void |  | ) |

| Get the underlying stream.

int ACE_ATM_Stream::get_vpi_vci | ( | ACE_UINT16 & | vpi,
|  | ACE_UINT16 & | vci
| ) | const

| Get the VPI and VCI of the stream.

ACE_INLINE int ACE_ATM_Stream::open | ( | ACE_ATM_Params | params = ACE_ATM_Params() | ) |

| open the stream.

ACE_INLINE ssize_t ACE_ATM_Stream::recv | ( | void * | buf,
|  | size_t | n,
|  | int * | flags = 0
| ) | const

| Recv an n byte buffer from the connected transport mechanism.

ACE_INLINE ssize_t ACE_ATM_Stream::send_n | ( | const void * | buf,
|  | size_t | n,
|  | int | flags
| ) | const

| Send exactly n bytes to the connected transport mechanism.

## Member Data Documentation

ACE_ATM_Stream::ACE_ALLOC_HOOK_DECLARE

| Declare the dynamic allocation hooks.

ATM_Stream ACE_ATM_Stream::stream_`[private]`

| Typedef'd to the appropriate stream mechanism above.

The documentation for this class was generated from the following files:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/ATM_Stream.h
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/ATM_Stream.cpp
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/ATM_Stream.i